<!--
  ~  Copyright (c) 2017, WSO2 Inc. (http://wso2.com) All Rights Reserved.
  ~
  ~  WSO2 Inc. licenses this file to you under the Apache License,
  ~  Version 2.0 (the "License"); you may not use this file except
  ~  in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~    http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing,
  ~  software distributed under the License is distributed on an
  ~  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~  KIND, either express or implied.  See the License for the
  ~  specific language governing permissions and limitations
  ~  under the License.
  -->

WSO2 Stream Processor
======================

---

|  Branch | Build Status |
| :------------ |:-------------
| master      | [![Build Status](https://wso2.org/jenkins/job/products/job/product-sp/badge/icon)](https://wso2.org/jenkins/job/products/job/product-sp) |


---
#### Introduction ####

[WSO2 Stream Processor](https://wso2.com/analytics) (WSO2 SP) is an open source stream processing platform. It can ingest data from Kafka, HTTP requests, message brokers. You can query data stream using a “[Streaming SQL](https://wso2.com/library/articles/2018/02/stream-processing-101-from-sql-to-streaming-sql-in-ten-minutes/)” language. With just two commodity servers it can provide [high availability](https://docs.wso2.com/display/SP400/Minimum+High+Availability+%28HA%29+Deployment) and can handle 100K+ TPS [throughput](https://docs.wso2.com/display/SP400/Performance+Analysis+Results). It can scale up to millions of TPS on top of Kafka.

#### Download ####

Please download the latest stable WSO2 Stream Processor release from [https://wso2.com/analytics-and-stream-processing/install](https://wso2.com/analytics-and-stream-processing/install)

#### How to Run ####

Please refer to our quick start guide on how to start and run the WSO2 Stream Processor.
https://docs.wso2.com/display/SP4xx/Quick+Start+Guide

#### Documentation ####

Please see the [WSO2 Documentation site for WSO2 SP](https://docs.wso2.com/display/SP4xx)

#### Support ####

We are committed to ensuring that your enterprise middleware deployment is completely supported from evaluation to production. Our unique approach ensures that all support leverages our open development methodology and is provided by the very same engineers who build the technology.

For more details and to take advantage of this unique opportunity please visit http://wso2.com/support.


#### Reporting Issues  ####

We encourage you to report issues, documentation faults and feature requests regarding WSO2 SP through the [WSO2 SP Issue Tracker](https://github.com/wso2/product-sp/issues).
